Bug 706174

Summary: RFE: add the possibility of creating bind mount points
Product: [Fedora] Fedora Reporter: Cristian Ciupitu <cristian.ciupitu>
Component: mockAssignee: Clark Williams <williams>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 14CC: mebrown, williams
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: mock-1.0.28-1.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-01-22 05:25:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
create source directories none

Description Cristian Ciupitu 2011-05-19 17:09:03 UTC
Description of problem:
mock can use bind mounts only if the target directory exists, but in my specific case they don't exist and I need a way to create them.
Maybe something like config_opts['bind_mount_opts']['create_dirs'] could be added.

Version-Release number of selected component (if applicable):
mock-1.1.9-1.fc14.noarch

How reproducible:
Every time

Additional info:
I'm trying to use my yum cache with mock. The cache is split into two parts: metadata and packages. For example /var/cache/yum/i386/14/fedora/packages is a symlink to /mnt/misc/yum-packages/fedora. I am also using the DVD as a media repo. Therefore my /etc/mock/fedora-14-i386.cfg contains the following lines:

  config_opts['plugin_conf']['bind_mount_opts']['dirs'].append(('/mnt/extra/Software/Linux/Fedora/yum-cache/i386/14', '/var/cache/yum/i386/14'))
  config_opts['plugin_conf']['bind_mount_opts']['dirs'].append(('/mnt/extra/Software/Linux/Fedora/yum-packages/14', '/mnt/misc/yum-packages'))
  config_opts['plugin_conf']['bind_mount_opts']['dirs'].append(('/mnt/misc/Fedora-14-i386-DVD', '/mnt/misc/Fedora-14-i386-DVD/'))

Comment 1 John F 2011-11-29 19:58:33 UTC
Created attachment 538213 [details]
create source directories

this is what I have done for myself.  Shouldn't be too tough to optionally create the directories using the self.bind_opts, if my assumptions are correct.

Comment 2 Clark Williams 2011-12-09 22:44:28 UTC
Added a config and the code to create non-existent source dirs. Will be in next release.

Comment 3 Fedora Update System 2012-01-13 20:18:55 UTC
mock-1.1.19-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.19-1.el6

Comment 4 Fedora Update System 2012-01-13 20:19:28 UTC
mock-1.1.19-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.19-1.fc16

Comment 5 Fedora Update System 2012-01-13 20:20:00 UTC
mock-1.0.26-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.26-1.el5

Comment 6 Fedora Update System 2012-01-13 20:20:32 UTC
mock-1.1.19-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.19-1.fc15

Comment 7 Fedora Update System 2012-01-14 19:30:15 UTC
mock-1.1.19-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.19-2.fc15

Comment 8 Fedora Update System 2012-01-14 19:30:53 UTC
mock-1.1.19-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.19-2.el6

Comment 9 Fedora Update System 2012-01-14 19:31:27 UTC
mock-1.0.26-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.26-2.el5

Comment 10 Fedora Update System 2012-01-14 19:32:01 UTC
mock-1.1.19-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.19-2.fc16

Comment 11 Fedora Update System 2012-01-15 23:26:31 UTC
Package mock-1.1.19-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.1.19-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0134/mock-1.1.19-2.el6
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2012-01-22 05:25:14 UTC
mock-1.1.19-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2012-02-01 16:45:50 UTC
mock-1.1.20-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.20-1.fc15

Comment 14 Fedora Update System 2012-02-01 16:46:44 UTC
mock-1.1.20-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.20-1.el6

Comment 15 Fedora Update System 2012-02-01 16:47:30 UTC
mock-1.1.20-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.20-1.fc16

Comment 16 Fedora Update System 2012-02-01 16:48:18 UTC
mock-1.0.27-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.27-2.el5

Comment 17 Fedora Update System 2012-02-08 22:57:59 UTC
mock-1.1.20-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2012-02-09 02:22:27 UTC
mock-1.1.21-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.21-1.fc15

Comment 19 Fedora Update System 2012-02-09 02:23:11 UTC
mock-1.1.21-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.21-1.el6

Comment 20 Fedora Update System 2012-02-09 02:23:54 UTC
mock-1.0.28-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.28-1.el5

Comment 21 Fedora Update System 2012-02-09 02:24:37 UTC
mock-1.1.21-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.21-1.fc16

Comment 22 Fedora Update System 2012-02-15 23:56:35 UTC
mock-1.1.21-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2012-02-19 02:00:53 UTC
mock-1.1.21-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2012-02-24 23:37:55 UTC
mock-1.1.21-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2012-02-24 23:41:24 UTC
mock-1.0.28-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.